import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;

import org.kwis.msp.lwc.ComboComponent;
import org.kwis.msp.lwc.ShellComponent;
import org.kwis.msp.lwc.FormComponent;
public class ComboComponentEx2 extends Jlet{

	Display displayLCD ;
	ShellComponent shell;
		

	public ComboComponentEx2(){      }

	protected void startApp(String[] arg0){
		
		displayLCD = Display.getDefaultDisplay();
		shell = new ShellComponent();

		ComboComponent cmb = new ComboComponent();
		FormComponent form = new FormComponent();

		cmb.append("전화번호 등록");
		cmb.append("전화번호 보기");
		cmb.append("이름으로 찾기");
		cmb.append("번지로 찾기");

		cmb.insert(2,"최근발신번호");
		cmb.set(4,"부재중 수신번호");

		form.addComponent(cmb);

		shell.setTitle("전화번호 메뉴");
		shell.addComponent(form);
		
		displayLCD.pushCard(shell.getCard());


		
	}
	protected void destroyApp(boolean arg0) {  }

	

}
